Summary:	User interface library
Summary(pl.UTF-8):	Biblioteka interfejsu użytkownika
Name:		girara
Version:	0.3.5
Release:	1
License:	BSD-like
Group:		Libraries
#Source0Download: https://git.pwmt.org/pwmt/girara/-/tags
Source0:	https://git.pwmt.org/pwmt/girara/-/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9a3ac4d52e7f791aca842ca85c861263
URL:		http://pwmt.org/projects/girara
# C11
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.20
BuildRequires:	json-c-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	meson >= 0.48
BuildRequires:	ninja
BuildRequires:	pango-devel >= 1:1.14
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.20
Requires:	libnotify >= 0.7.0
Requires:	pango >= 1:1.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
girara is a library that implements a user interface that focuses on
simplicity and minimalism. Currently based on GTK+, a cross-platform
widget toolkit, it provides an interface that focuses on three main
components: A so-called view widget that represents the actual
application (e.g. a website (browser), an image (image viewer) or the
document (document viewer)), an input bar that is used to execute
commands of the application and the status bar which provides the user
with current information. girara was designed to replace and enhance
the user interface that is used by zathura and jumanji and other
features that those applications share.

%description -l pl.UTF-8
girara to biblioteka implementująca interfejs użytkownika skupiający
się na prostocie i minimalizmie. Obecnie jest oparty na GTK+ -
wieloplatformowym toolkicie widgetów - zapewnia interfejs o trzech
głównych komponentach: tzw. widgecie widoku, reprezentującym właściwą
aplikację (np. stronę dla przeglądarki WWW, obraz dla przeglądarki
obrazków czy dokument dla przeglądarki dokumentów), pasku wprowadzania
służącym do wydawania poleceń oraz pasku stanu udostępniającym
użytkownikowi aktualne informacje. girara została zaprojektowana w
celu zastąpienia i rozszerzenia interfejsu użytkownika używanego przez
aplikacje zathura i jumanji, a także innych funkcji dzielonych przez
te aplikacje.

%package devel
Summary:	Header files for girara library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki girara
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.50.0
Requires:	gtk+3-devel >= 3.20
Requires:	json-c-devel
Requires:	libnotify-devel >= 0.7.0
Requires:	pango-devel >= 1:1.14

%description devel
Header files for girara library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki girara.

%package static
Summary:	Girara static library
Summary(pl.UTF-8):	Statyczna biblioteka girara
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Girara static library.

%description static -l pl.UTF-8
Statyczna biblioteka girara.

%prep
%setup -q

%build
%meson build \
	-Denable-notify=true

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fa_IR,uk_UA}

%find_lang libgirara-gtk3-3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libgirara-gtk3-3.lang
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgirara-gtk3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so
%{_includedir}/girara
%{_pkgconfigdir}/girara-gtk3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgirara-gtk3.a
%changelog
* Mon Aug 03 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/girara.git;a=log;h=master

* Sun Aug 02 2020 Jan Palus <atler@pld-linux.org> 5372102
- up to 0.3.5

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 4d82178
- release 2 (json-c soname change)

* Thu Feb 06 2020 Jan Palus <atler@pld-linux.org> 71eea03
- up to 0.3.4

* Fri Oct 18 2019 Jan Palus <atler@pld-linux.org> 382cffb
- up to 0.3.3

* Tue Dec 25 2018 Jan Palus <atler@pld-linux.org> 960dd24
- up to 0.3.2

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 5dc73da
- updated dependencies, actually enable libnotify; release 2

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 9395468
- up to 0.3.1

* Wed May 23 2018 Jan Palus <atler@pld-linux.org> 2c35ced
- up to 0.3.0

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> bc02e13
- release 3 (by relup.sh)

* Tue Mar 20 2018 Jan Rękorajski <baggins@pld-linux.org> 8f90336
- release 2 (by relup.sh)

* Sun Mar 18 2018 Jan Palus <atler@pld-linux.org> 3cfcf74
- versioned meson BR

* Fri Mar 16 2018 Jan Palus <atler@pld-linux.org> 0510190
- up to 0.2.9

* Thu Dec 21 2017 Jan Palus <atler@pld-linux.org> ffc2dd9
- up to 0.2.8

* Thu Jan 12 2017 Jan Palus <atler@pld-linux.org> 051a86a
- up to 0.2.7

* Mon Apr 18 2016 Jan Palus <atler@pld-linux.org> ee128fb
- up to 0.2.6

* Mon Dec 28 2015 Jan Palus <atler@pld-linux.org> 2678dd5
- up to 0.2.5

* Tue Apr 14 2015 Jan Palus <atler@pld-linux.org> 7174b71
- up to 0.2.4

* Fri Oct 17 2014 Jan Palus <atler@pld-linux.org> c102b1f
- up to 0.2.3
- disable colors in build (introduces unknown gcc param)

* Wed Jun 25 2014 Jan Palus <atler@pld-linux.org> 8f09583
- up to 0.2.2
- BR: libnotify-devel
- workaround for .so autodeps

* Mon Feb 17 2014 Jan Palus <jan.palus@gmail.com> 5b03099
- BR: glib2-devel

